<?php

namespace Config;

// Create a new instance of our RouteCollection class.
$routes = Services::routes();

// Load the system's routing file first, so that the app and ENVIRONMENT
// can override as needed.
if (file_exists(SYSTEMPATH . 'Config/Routes.php'))
{
	require SYSTEMPATH . 'Config/Routes.php';
}

/**
 * --------------------------------------------------------------------
 * Router Setup
 * --------------------------------------------------------------------
 */
$routes->setDefaultNamespace('App\Controllers');
$routes->setDefaultController('Home');
$routes->setDefaultMethod('index');
$routes->setTranslateURIDashes(false);
$routes->set404Override();
$routes->setAutoRoute(true);

/*
 * --------------------------------------------------------------------
 * Route Definitions
 * --------------------------------------------------------------------
 */

// We get a performance increase by specifying the default
// route since we don't have to scan directories.
$routes->get('/', 'Home::index');

$routes->add('organigramme',		'Home::organizationalChart');
$routes->add('network',				'Home::network');

$routes->add('code',				'Specialpage::showPage/code');
$routes->add('statuts', 			'Specialpage::showPage/statuts');
$routes->add('reglement_interieur', 'Specialpage::showPage/reglement_interieur');
$routes->add('histoire',			'Specialpage::showPage/histoire');
$routes->add('legal',				'Specialpage::showPage/mentions_legales');

$routes->add('blog',		'Article::index');
$routes->add('blog/(:any)', 'Article::index/$1');

$routes->add('connect', 		'User::connect');
$routes->add('disconnect',		'User::disconnect');
$routes->add('preferences', 	'User::preferences');
$routes->add('lostPassword',	'User::lostPassword');
$routes->add('changePassword',	'User::changePassword');
$routes->add('historics',		'User::historics');

$routes->add('programTags',		'Program::tags');


/*
 * --------------------------------------------------------------------
 * Additional Routing
 * --------------------------------------------------------------------
 *
 * There will often be times that you need additional routing and you
 * need it to be able to override any defaults in this file. Environment
 * based routes is one such time. require() additional route files here
 * to make that happen.
 *
 * You will have access to the $routes object within that file without
 * needing to reload it.
 */
if (file_exists(APPPATH . 'Config/' . ENVIRONMENT . '/Routes.php'))
{
	require APPPATH . 'Config/' . ENVIRONMENT . '/Routes.php';
}
