<?php

namespace App\Entities;

use CodeIgniter\Entity;

/**
 * Reflect for the moment `transaction`
 */
class Transaction extends Entity {
    const STATUS_CALLING    = 'calling';
    const STATUS_ACCEPTED   = 'accepted';
    const STATUS_REFUSED    = 'refused';
    const STATUS_CANCELED   = 'canceled';
    
    public function getTransactionDate() {
        $date = new \DateTime($this->tra_date);

        return $date;
    }

    public function isJoin() {
        $purpose = $this->getPurposeExplanation();
        
        return isset($purpose->join);
    }

    public function getPurposeExplanation() {
        return json_decode($this->tra_purpose);
    }
}