<?php

namespace App\Models;

use CodeIgniter\Model;

class UserModel extends Model {
    protected $table        = 'galette_adherents';
    protected $primaryKey   = 'id_adh';
    protected $useAutoIncrement = true;

    protected $allowedFields = [
        "use_activation_key",
		"use_activated",
		"id_statut",
		"pseudo_adh",
		"login_adh",
		"email_adh",
		"mdp_adh",
    ];

    protected $returnType    = 'App\Entities\User';
//    protected $useTimestamps = true;

    function findByLogin(string $login) {
        $user = $this->where("login_adh", $login)->first();

        return $user;
    }

    function findByMail(string $email) {
        $user = $this->where("email_adh", $email)->first();

        return $user;
    }

    function authenticate($user, $password) {
        $authenticate = (password_verify($password, $user->mdp_adh));

        return $authenticate;
    }
}