<div class="mt-16 mb-16 ml-auto mr-auto" style="width: 1200px;">
    <div class="w-1/3 float-left">
        <h2 class="uppercase text-3xl font-bold text-center"><?=lang("Network.national.title")?></h2>

        <section id="nationalNetworks" class="rounded-md p-10 pt-5 pb-5 mt-10 text-sm bg-black-87 w-full grid grid-cols-4 gap-4">
<?php   foreach($nationalNetworks as $network) { ?>
            <a class="text-center" href="<?=$network["link"]?>" title="<?=$network["label"]?>" target="<?=$network["target"]?>">
                <div>
                    <i class="fab fa-<?=$network["icon"]?> text-5xl"></i>
                    <br>
                    <span class="text-xs font-bold"><?=$network["label"]?></span>
                </div>
            </a>
<?php   } ?>
        </section>

        <section id="registerNewsletter" class="rounded-md p-10 pt-5 pb-5 mt-10 text-sm bg-black-87">
            <h3 class="uppercase text-lg font-bold text-center mb-5"><?=lang("Network.newsletter.title")?></h3>
            <form action="<?=base_url("registerNewsletter")?>" method="GET">
                <input type="text" name="email" class="h-10 w-full rounded-xl p-3 co-black-87" placeholder="Adresse Email">
            </form>
        </section>
    </div>
    <div class="w-2/3 float-right">
        <section id="mainView" class="rounded-md p-5 ml-10 text-sm bg-black-87">
            <div class="grid grid-cols-3 gap-4">
                <div id="twitter-feed" class="w-full">
                    <a class="twitter-timeline" data-width="229" data-height="450" data-theme="dark" href="https://twitter.com/PartiPirate?ref_src=twsrc%5Etfw">Tweets du PartiPirate</a> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>
                </div>
                <div id="mastodon-feed" class="w-full">
                    <iframe allowfullscreen sandbox="allow-top-navigation allow-scripts" width="229" height="450" src="https://www.mastofeed.com/apiv2/feed?userurl=https%3A%2F%2Fmastodon.partipirate.org%2Fusers%2FPartiPirate&theme=dark&size=70&header=true&replies=true&boosts=false"></iframe>
                </div>
                <div id="facebook-events" class="w-full">
                    <div id="fb-root"></div>
                    <script async defer crossorigin="anonymous" src="https://connect.facebook.net/fr_FR/sdk.js#xfbml=1&version=v10.0" nonce="WJA5e5k5"></script>                
                    <div class="fb-page" data-href="https://www.facebook.com/partipiratefr" data-tabs="events" data-width="229" data-height="450" data-small-header="true" data-adapt-container-width="true" data-hide-cover="true" data-show-facepile="false"><blockquote cite="https://www.facebook.com/partipiratefr" class="fb-xfbml-parse-ignore"><a href="https://www.facebook.com/partipiratefr">Parti Pirate</a></blockquote></div>
                </div>
            </div>

            <h2 class="uppercase text-3xl font-bold text-left mt-5 mb-5"><?=lang("Network.lastBroadcasts.title")?></h2>
            
            <div id="twitch-last" class="w-1/2 float-left" data-twitch="partipirate">
            </div>
            <div id="others" class="w-1/2 float-left">
            </div>

            <div class="clear-both"></div>
            
            <div class="flex flex-row">
                
            </div>

        </section>        
    </div>

    <div class="clear-both"></div>
</div>

<script src= "https://player.twitch.tv/js/embed/v1.js"></script>
<script>

document.addEventListener("DOMContentLoaded", function() {
    const twitchDivs = document.querySelectorAll("div[data-twitch]");

    for(let index = 0; index < twitchDivs.length; ++index) {
        const twitchDiv = twitchDivs[index];
        const options = {
            width: 400,
            height: 226,
            channel: twitchDiv.getAttribute("data-twitch"),
            // only needed if your site is also embedded on embed.example.com and othersite.example.com
            parent: ["nantanor.teret-arts.com"]
        };
        const player = new Twitch.Player(twitchDiv.getAttribute("id"), options);
        player.setVolume(0.5);
    }
});

</script>