<style>
figcaption li:not(:last-child):after {
    content: ",";
}
figcaption li {
    display: inline;
    text-transform: capitalize;
}    
</style>

<div class="mt-16 mb-16 ml-auto mr-auto" style="width: 1200px;">

    <div class="w-1/3 float-right">

<?php   if (count($program["parent"]["entries"]) > 1) {?>
        <section id="other-points" class="rounded-md p-3 text-sm mb-5 bg-black-87">
            <h2 class="text-base uppercase font-bold mb-1">
                <a href="<?=str_replace("/", "___", $program["parent_path"])?>"><?=$program["parent"]["TITRE"]?></a>
            </h2>
            <ul class="list-disc pl-5">
<?php   
            foreach($program["parent"]["entries"] as $entry) { 
                if ($entry["TITRE"] == $program["TITRE"]) continue; // on drop le program en cours
?>
                <li><a href="<?=str_replace("/", "___", $entry["path"])?>" class="no-underline hover:underline uppercase"><?=$entry["TITRE"]?></a></li>
<?php
            }
?>
            </ul>
        </section>
<?php
        }
?>

        <section id="toc" class="rounded-md p-3 text-sm mb-5 bg-black-87">
            <ul class="list-disc pl-5">
<?php   
        foreach($program["summary"] as $index => $entry) { 
?>
                <li><a href="#summary-<?=$index?>" class="no-underline hover:underline uppercase"><?=$entry?></a></li>
<?php
        }
?>
            </ul>
        </section>

<?php   if (count($program["LIENS"])) { ?>
        <section id="links" class="rounded-md p-3 text-sm bg-black-87">
            <ul class="list-disc pl-5">
<?php   
            foreach($program["LIENS"] as $link) { 
                if ($link["type"] == "source") continue;
?>
                <li><a href="<?=$link["url"]?>" target="_blank" class="no-underline hover:underline"><?=(isset($link["description"]) && $link["description"]) ? $link["description"] : $link["url"] ?></a></li>
<?php       } ?>
            </ul>
        </section>
<?php   } ?>

    </div>

<figure class="md:flex md:p-0 mb-10">
<?php   if (isset($program["thumb"])) { ?>
    <img class="w-48 md:w-48" src="<?=$program["thumb"]?>" alt="Image d'illustration">
<?php   } ?>
    <div class="pt-3 md:p-3 text-left md:text-left space-y-5">
        <figcaption class="font-medium space-y-3">
            <h1 class="text-xl font-bold"><?=$program["TITRE"]?></h1>

<?php   if (count($program["TAGS"])) { ?>
            <ul style="color: #9500ff">
<?php   
            foreach($program["TAGS"] as $tag) { ?>
                <li><a href="<?=base_url("programTags#$tag")?>"><?=$tag?></a></li>
<?php       } ?>
            </ul>
<?php   } ?>

            <div id="article-date" class="">Au programme depuis
<?php
                $programDate = new DateTime($program["DATE"]);
                $programDate = lang("Date.months." . $programDate->format("F")) . " " . $programDate->format("Y");
        
                echo $programDate;
?>
            </div>
        </figcaption>
    </div>
</figure>

<section id="content" class="w-2/3 text-sm text-justify pr-10">
<?=$program["cooked"]?>
</section>

</div>