<div class="mt-16 mb-16 ml-auto mr-auto" style="width: 960px;">
    <div class="rounded-md text-sm m-5 p-5 bg-black-87">
        <form id="back-form" action="<?=site_url("index.php")?>" method="GET">
        </form>
        <form action="<?=site_url("user/doPreferences")?>" method="POST">

            <h2 class="text-lg text-center uppercase font-bold"><?=lang("User.preferences.title")?></h2>

            <div class="error text-red-400 text-center mt-3">
                <?= isset($login_error) ? lang("User.errors.login") : "" ?>
                <?= (isset($validation) && ($validation->hasError("login") || $validation->hasError("password"))) ? lang("User.errors.mandatory") : "" ?>
            </div>

            <div class="pl-5 pr-5">
                <div class="w-1/2 float-left pr-5">
                    <div class="w-1/3 float-left p-1 text-center">
                        <img id="preferences-avatar" 
                            src="<?=isset($avatar) ? $avatar->getInlineImage() : base_url("assets/images/no_avatar.svg")?>" 
                            class="h-16 mt-4">
                    </div>
                    <div class="w-2/3 float-right p-1">
                        <div class="">
                            <input type="text" name="nickname" value="<?=$nickname ?? ""?>" class="h-10 w-full rounded-xl p-3 co-black-87" placeholder="<?=lang("Inscription.identity.nickname")?>">
                        </div>
                        <div class="mt-5">
                            <input type="text" name="email" value="<?=$email ?? ""?>" class="h-10 w-full rounded-xl p-3 co-black-87" placeholder="<?=lang("Inscription.identity.email")?>">
                        </div>
                        <div class="mt-1 text-center">
                            <a href="<?=base_url("changePassword")?>" class="underline">Changer de mot de passe</a>
                        </div>
                    </div>
                </div>
                <div class="w-1/2 float-right p-1 pl-5">
                    <div class="text-base">
                        <span class="co-light uppercase font-bold">Adhésion</span> 
                            valable jusqu'au 
                        <span class="font-bold">01/05/2021</span> 
                    </div>
                    <div class="mt-5">
                        <a href="<?=base_url("historics")?>" class="underline">Historique des dons</a>
                    </div>
                </div>
            </div>

            <div class="clear-both"></div>

            <h2 class="text-lg underline m-5 mt-10">Informations personnelles</h2>

            <div class="pl-5 pr-5">
                <div class="w-1/2 float-left pr-5">
                    <div class="">
                        <input type="text" name="firstname" value="<?=$firstname ?? ""?>" class="h-10 w-full rounded-xl p-3 co-black-87" placeholder="<?=lang("Inscription.identity.firstname")?>">
                    </div>
                    <div class="mt-5">
                        <input type="text" name="lastname" value="<?=$lastname ?? ""?>" class="h-10 w-full rounded-xl p-3 co-black-87" placeholder="<?=lang("Inscription.identity.lastname")?>">
                    </div>
                    <div class="mt-5">
                        <input type="text" name="nationality" value="<?=$nationality ?? ""?>" class="h-10 w-full rounded-xl p-3 co-black-87" placeholder="<?=lang("Inscription.identity.nationality")?>">
                    </div>
                </div>
                <div class="w-1/2 float-right pl-5">
                    <div class="">
                        <input type="text" name="address" value="<?=$address ?? ""?>" class="h-10 w-full rounded-xl p-3 co-black-87" placeholder="<?=lang("Inscription.identity.address")?>">
                    </div>
                    <div class="mt-5">
                        <input type="text" name="zipcode" value="<?=$zipcode ?? ""?>" class="h-10 w-full rounded-xl p-3 co-black-87" placeholder="<?=lang("Inscription.identity.zipcode")?>">
                    </div>
                    <div class="mt-5">
                        <input type="text" name="city" value="<?=$city ?? ""?>" class="h-10 w-full rounded-xl p-3 co-black-87" placeholder="<?=lang("Inscription.identity.city")?>">
                    </div>
                    <div class="mt-5">
                        <input type="text" name="country" value="<?=$country ?? ""?>" class="h-10 w-full rounded-xl p-3 co-black-87" placeholder="<?=lang("Inscription.identity.country")?>">
                    </div>
                </div>
            </div>

            <div class="clear-both"></div>

            <div class="pl-5 pr-5 mt-10">
                <div class="w-1/2 float-left pr-5">
                    <h2 class="text-lg underline">Biographie</h2>

                    <div class="mt-5">
                        <textarea name="biography" class="h-40 w-full rounded-xl p-3 co-black-87"><?=$biograpgy ?? ""?></textarea>
                    </div>
                </div>
                <div class="w-1/2 float-right pl-5">
                    <h2 class="text-lg underline">Réseaux sociaux</h2>

                    <div class="mt-5">
                        <i class="fab fa-discord text-4xl network-logo"></i>
                        <input type="text" name="discord" value="<?=$discord ?? ""?>" style="width: calc(100% - 36px);" class="h-10 rounded-xl p-3 co-black-87" placeholder="compte_discord#0000">
                    </div>
                    <div class="mt-5">
                        <i class="fab fa-mastodon text-4xl network-logo"></i>
                        <input type="text" name="mastodon" value="<?=$mastodon ?? ""?>" style="width: calc(100% - 36px);" class="h-10 w-full rounded-xl p-3 co-black-87" placeholder="@compte_mastodon@serveur">
                    </div>
                    <div class="mt-5">
                        <i class="fab fa-twitter text-4xl network-logo"></i>
                        <input type="text" name="twitter" value="<?=$twitter ?? ""?>" style="width: calc(100% - 41px);" class="h-10 w-full rounded-xl p-3 co-black-87" placeholder="@compte_twitter">
                    </div>
                </div>
            </div>

            <div class="clear-both"></div>

            <div class="mt-5 pl-10 pr-10">
                <button type="submit" form="back-form" class="rounded-2xl w-48 h-12 uppercase font-bold text-base float-left" style="background-color: #A0A0A0;"><?=lang("Common.back")?></button>
                <button type="submit" class="rounded-2xl w-48 h-12 uppercase font-bold text-base float-right bg-co"><?=lang("Common.save")?> <i class="fas fa-check-circle"></i></button>
            </div>
        </form>
        <div class="clear-both"></div>
    </div>
</div>