SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de données :  `don`
--

-- --------------------------------------------------------

--
-- Doublure de structure pour la vue `accepted_month_transactions`
--
CREATE TABLE `accepted_month_transactions` (
`tra_month_date` varchar(7)
,`tra_month_amount` decimal(32,2)
,`tra_month_join_amount` decimal(32,2)
,`tra_month_donation_amount` decimal(32,2)
,`tra_month_transactions` bigint(21)
,`tra_month_joins` decimal(23,0)
,`tra_month_donations` decimal(23,0)
);

-- --------------------------------------------------------

--
-- Doublure de structure pour la vue `accepted_transactions`
--
CREATE TABLE `accepted_transactions` (
`tra_id` int(11)
,`tra_amount` decimal(10,2)
,`tra_reference` varchar(255)
,`tra_status` enum('calling','accepted','refused','canceled')
,`tra_confirmed` tinyint(4)
,`tra_date` datetime
,`tra_email` varchar(255)
,`tra_purpose` text
,`tra_lastname` varchar(255)
,`tra_firstname` varchar(255)
,`tra_address` varchar(255)
,`tra_zipcode` varchar(255)
,`tra_city` varchar(255)
,`tra_country` varchar(255)
,`tra_telephone` varchar(255)
);

-- --------------------------------------------------------

--
-- Structure de la table `counter_parties`
--

CREATE TABLE `counter_parties` (
  `cpa_id` int(11) NOT NULL,
  `cpa_project_id` int(11) NOT NULL,
  `cpa_amount` decimal(10,2) NOT NULL,
  `cpa_content` text CHARACTER SET utf8 COLLATE utf8_bin NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Doublure de structure pour la vue `donation_transactions`
--
CREATE TABLE `donation_transactions` (
`tra_id` int(11)
,`tra_amount` decimal(10,2)
,`tra_reference` varchar(255)
,`tra_status` enum('calling','accepted','refused','canceled')
,`tra_confirmed` tinyint(4)
,`tra_date` datetime
,`tra_email` varchar(255)
,`tra_purpose` text
,`tra_lastname` varchar(255)
,`tra_firstname` varchar(255)
,`tra_address` varchar(255)
,`tra_zipcode` varchar(255)
,`tra_city` varchar(255)
,`tra_country` varchar(255)
,`tra_telephone` varchar(255)
);

-- --------------------------------------------------------

--
-- Doublure de structure pour la vue `join_transactions`
--
CREATE TABLE `join_transactions` (
`tra_id` int(11)
,`tra_amount` decimal(10,2)
,`tra_reference` varchar(255)
,`tra_status` enum('calling','accepted','refused','canceled')
,`tra_confirmed` tinyint(4)
,`tra_date` datetime
,`tra_email` varchar(255)
,`tra_purpose` text
,`tra_lastname` varchar(255)
,`tra_firstname` varchar(255)
,`tra_address` varchar(255)
,`tra_zipcode` varchar(255)
,`tra_city` varchar(255)
,`tra_country` varchar(255)
,`tra_telephone` varchar(255)
);

-- --------------------------------------------------------

--
-- Structure de la table `months`
--

CREATE TABLE `months` (
  `mon_year` varchar(4) NOT NULL,
  `mon_month` varchar(2) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Doublure de structure pour la vue `number_of_adherents`
--
CREATE TABLE `number_of_adherents` (
`noa_month` varchar(7)
,`noa_nb_adherents` bigint(21)
);

-- --------------------------------------------------------

--
-- Structure de la table `projects`
--

CREATE TABLE `projects` (
  `pro_id` int(11) NOT NULL,
  `pro_code` varchar(255) NOT NULL,
  `pro_label` varchar(255) NOT NULL,
  `pro_content` text NOT NULL,
  `pro_spectrum` varchar(255) NOT NULL DEFAULT 'purple',
  `pro_background_image` varchar(2048) NOT NULL,
  `pro_amount_goal` decimal(10,2) NOT NULL,
  `pro_offset_amount` decimal(10,2) NOT NULL DEFAULT '0.00',
  `pro_offset_number_of_transactions` bigint(20) NOT NULL DEFAULT '0',
  `pro_status` enum('open','finished','canceled') NOT NULL DEFAULT 'open'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `transactions`
--

CREATE TABLE `transactions` (
  `tra_id` int(11) NOT NULL,
  `tra_amount` decimal(10,2) NOT NULL,
  `tra_reference` varchar(255) NOT NULL,
  `tra_status` enum('calling','accepted','refused','canceled') NOT NULL DEFAULT 'calling',
  `tra_confirmed` tinyint(4) NOT NULL DEFAULT '0',
  `tra_date` datetime NOT NULL,
  `tra_email` varchar(255) NOT NULL,
  `tra_purpose` text NOT NULL COMMENT 'Contenu JSON du but de la transaction',
  `tra_lastname` varchar(255) DEFAULT NULL,
  `tra_firstname` varchar(255) DEFAULT NULL,
  `tra_nationality_iso` varchar(2) DEFAULT NULL,
  `tra_nationality` varchar(255) DEFAULT NULL,
  `tra_address` varchar(255) DEFAULT NULL,
  `tra_zipcode` varchar(255) DEFAULT NULL,
  `tra_city` varchar(255) DEFAULT NULL,
  `tra_country` varchar(255) DEFAULT NULL,
  `tra_telephone` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='Gère les transactions';

-- --------------------------------------------------------

--
-- Structure de la vue `accepted_month_transactions`
--
DROP TABLE IF EXISTS `accepted_month_transactions`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`%` SQL SECURITY DEFINER VIEW `accepted_month_transactions`  AS  select date_format(`accepted_transactions`.`tra_date`,'%Y-%m') AS `tra_month_date`,sum(`accepted_transactions`.`tra_amount`) AS `tra_month_amount`,sum(if((locate('join',`accepted_transactions`.`tra_purpose`) > 0),`accepted_transactions`.`tra_amount`,0)) AS `tra_month_join_amount`,sum(if((locate('join',`accepted_transactions`.`tra_purpose`) > 0),0,`accepted_transactions`.`tra_amount`)) AS `tra_month_donation_amount`,count(`accepted_transactions`.`tra_id`) AS `tra_month_transactions`,sum(if((locate('join',`accepted_transactions`.`tra_purpose`) > 0),1,0)) AS `tra_month_joins`,sum(if((locate('join',`accepted_transactions`.`tra_purpose`) > 0),0,1)) AS `tra_month_donations` from `accepted_transactions` group by date_format(`accepted_transactions`.`tra_date`,'%Y-%m') desc ;

-- --------------------------------------------------------

--
-- Structure de la vue `accepted_transactions`
--
DROP TABLE IF EXISTS `accepted_transactions`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`%` SQL SECURITY DEFINER VIEW `accepted_transactions`  AS  select `transactions`.`tra_id` AS `tra_id`,`transactions`.`tra_amount` AS `tra_amount`,`transactions`.`tra_reference` AS `tra_reference`,`transactions`.`tra_status` AS `tra_status`,`transactions`.`tra_confirmed` AS `tra_confirmed`,`transactions`.`tra_date` AS `tra_date`,`transactions`.`tra_email` AS `tra_email`,`transactions`.`tra_purpose` AS `tra_purpose`,`transactions`.`tra_lastname` AS `tra_lastname`,`transactions`.`tra_firstname` AS `tra_firstname`,`transactions`.`tra_address` AS `tra_address`,`transactions`.`tra_zipcode` AS `tra_zipcode`,`transactions`.`tra_city` AS `tra_city`,`transactions`.`tra_country` AS `tra_country`,`transactions`.`tra_telephone` AS `tra_telephone` from `transactions` where ((`transactions`.`tra_status` = 'accepted') and (`transactions`.`tra_confirmed` = '1')) ;

-- --------------------------------------------------------

--
-- Structure de la vue `donation_transactions`
--
DROP TABLE IF EXISTS `donation_transactions`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`%` SQL SECURITY DEFINER VIEW `donation_transactions`  AS  select `accepted_transactions`.`tra_id` AS `tra_id`,`accepted_transactions`.`tra_amount` AS `tra_amount`,`accepted_transactions`.`tra_reference` AS `tra_reference`,`accepted_transactions`.`tra_status` AS `tra_status`,`accepted_transactions`.`tra_confirmed` AS `tra_confirmed`,`accepted_transactions`.`tra_date` AS `tra_date`,`accepted_transactions`.`tra_email` AS `tra_email`,`accepted_transactions`.`tra_purpose` AS `tra_purpose`,`accepted_transactions`.`tra_lastname` AS `tra_lastname`,`accepted_transactions`.`tra_firstname` AS `tra_firstname`,`accepted_transactions`.`tra_address` AS `tra_address`,`accepted_transactions`.`tra_zipcode` AS `tra_zipcode`,`accepted_transactions`.`tra_city` AS `tra_city`,`accepted_transactions`.`tra_country` AS `tra_country`,`accepted_transactions`.`tra_telephone` AS `tra_telephone` from `accepted_transactions` where (not((`accepted_transactions`.`tra_purpose` like '%"join"%'))) ;

-- --------------------------------------------------------

--
-- Structure de la vue `join_transactions`
--
DROP TABLE IF EXISTS `join_transactions`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`%` SQL SECURITY DEFINER VIEW `join_transactions`  AS  select `accepted_transactions`.`tra_id` AS `tra_id`,`accepted_transactions`.`tra_amount` AS `tra_amount`,`accepted_transactions`.`tra_reference` AS `tra_reference`,`accepted_transactions`.`tra_status` AS `tra_status`,`accepted_transactions`.`tra_confirmed` AS `tra_confirmed`,`accepted_transactions`.`tra_date` AS `tra_date`,`accepted_transactions`.`tra_email` AS `tra_email`,`accepted_transactions`.`tra_purpose` AS `tra_purpose`,`accepted_transactions`.`tra_lastname` AS `tra_lastname`,`accepted_transactions`.`tra_firstname` AS `tra_firstname`,`accepted_transactions`.`tra_address` AS `tra_address`,`accepted_transactions`.`tra_zipcode` AS `tra_zipcode`,`accepted_transactions`.`tra_city` AS `tra_city`,`accepted_transactions`.`tra_country` AS `tra_country`,`accepted_transactions`.`tra_telephone` AS `tra_telephone` from `accepted_transactions` where (`accepted_transactions`.`tra_purpose` like '%"join"%') ;

-- --------------------------------------------------------

--
-- Structure de la vue `number_of_adherents`
--
DROP TABLE IF EXISTS `number_of_adherents`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`%` SQL SECURITY DEFINER VIEW `number_of_adherents`  AS  select concat(`months`.`mon_year`,'-',`months`.`mon_month`) AS `noa_month`,count(0) AS `noa_nb_adherents` from (`months` join `transactions`) where ((`transactions`.`tra_purpose` like '%join%') and (`transactions`.`tra_confirmed` = 1) and (convert(substr(`transactions`.`tra_date`,1,7) using latin1) <= concat(`months`.`mon_year`,'-',`months`.`mon_month`)) and (convert(substr(`transactions`.`tra_date`,1,7) using latin1) > concat((`months`.`mon_year` - 1),'-',`months`.`mon_month`))) group by `months`.`mon_year`,`months`.`mon_month` ;

--
-- Index pour les tables exportées
--

--
-- Index pour la table `counter_parties`
--
ALTER TABLE `counter_parties`
  ADD PRIMARY KEY (`cpa_id`),
  ADD KEY `cpa_project_id` (`cpa_project_id`);

--
-- Index pour la table `months`
--
ALTER TABLE `months`
  ADD UNIQUE KEY `mon_year` (`mon_year`,`mon_month`);

--
-- Index pour la table `projects`
--
ALTER TABLE `projects`
  ADD PRIMARY KEY (`pro_id`),
  ADD KEY `pro_status` (`pro_status`);

--
-- Index pour la table `transactions`
--
ALTER TABLE `transactions`
  ADD PRIMARY KEY (`tra_id`),
  ADD KEY `tra_reference` (`tra_reference`);

--
-- AUTO_INCREMENT pour les tables exportées
--

--
-- AUTO_INCREMENT pour la table `counter_parties`
--
ALTER TABLE `counter_parties`
  MODIFY `cpa_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=10;
--
-- AUTO_INCREMENT pour la table `projects`
--
ALTER TABLE `projects`
  MODIFY `pro_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=147;
--
-- AUTO_INCREMENT pour la table `transactions`
--
ALTER TABLE `transactions`
  MODIFY `tra_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5401;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;

--
-- Contenu de la table `months`
--

INSERT INTO `months` (`mon_year`, `mon_month`) VALUES
('2015', '01'),
('2015', '02'),
('2015', '03'),
('2015', '04'),
('2015', '05'),
('2015', '06'),
('2015', '07'),
('2015', '08'),
('2015', '09'),
('2015', '10'),
('2015', '11'),
('2015', '12'),
('2016', '01'),
('2016', '02'),
('2016', '03'),
('2016', '04'),
('2016', '05'),
('2016', '06'),
('2016', '07'),
('2016', '08'),
('2016', '09'),
('2016', '10'),
('2016', '11'),
('2016', '12'),
('2017', '01'),
('2017', '02'),
('2017', '03'),
('2017', '04'),
('2017', '05'),
('2017', '06'),
('2017', '07'),
('2017', '08'),
('2017', '09'),
('2017', '10'),
('2017', '11'),
('2017', '12'),
('2018', '01'),
('2018', '02'),
('2018', '03'),
('2018', '04'),
('2018', '05'),
('2018', '06'),
('2018', '07'),
('2018', '08'),
('2018', '09'),
('2018', '10'),
('2018', '11'),
('2018', '12'),
('2019', '01'),
('2019', '02'),
('2019', '03'),
('2019', '04'),
('2019', '05'),
('2019', '06'),
('2019', '07'),
('2019', '08'),
('2019', '09'),
('2019', '10'),
('2019', '11'),
('2019', '12'),
('2020', '01'),
('2020', '02'),
('2020', '03'),
('2020', '04'),
('2020', '05'),
('2020', '06'),
('2020', '07'),
('2020', '08'),
('2020', '09'),
('2020', '10'),
('2020', '11'),
('2020', '12'),
('2021', '01'),
('2021', '02'),
('2021', '03'),
('2021', '04'),
('2021', '05'),
('2021', '06'),
('2021', '07'),
('2021', '08'),
('2021', '09'),
('2021', '10'),
('2021', '11'),
('2021', '12');